org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class PagesWriteThrottle

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.PagesWriteThrottle

    public class PagesWriteThrottle
    extends Object

Throttles threads that generate dirty pages during ongoing checkpoint. Designed to avoid zero dropdowns that can happen if checkpoint buffer is overflowed.

### Constructor Summary

Constructors
Constructor and Description
`PagesWriteThrottle(PageMemoryImpl pageMemory, GridCacheDatabaseSharedManager dbSharedMgr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onFinishCheckpoint()`
`void` `onMarkDirty(boolean isInCheckpoint)` Callback to apply throttling delay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PagesWriteThrottle

    public PagesWriteThrottle(PageMemoryImpl pageMemory,
                              GridCacheDatabaseSharedManager dbSharedMgr)

Parameters:
  `pageMemory` - Page memory.
  `dbSharedMgr` - Database manager.

### Method Detail

#### onMarkDirty

    public void onMarkDirty(boolean isInCheckpoint)

Callback to apply throttling delay.

Parameters:
  `isInCheckpoint` - flag indicating if checkpoint is running.

#### onFinishCheckpoint

    public void onFinishCheckpoint()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018